POST
/waitlist
Join the waitlist for the next number-pool release
Description
Numbers release in waves. Submit an email to be notified when the next pool opens. Idempotent — duplicate submissions return the original `registered_at` timestamp. Free, no auth required.
Authentication
None. Public endpoint, no auth required.
Code samples
Pick your runtime. Every sample is in the page source — switching tabs is for your eyes.
curl https://agentnumber.really.com/waitlist \
--request POST \
--header 'content-type: application/json' \
--data '{
"email": "you@example.com"
}'interface WaitlistResponse {
status: "added";
registered_at: string;
}
const response = await fetch('https://agentnumber.really.com/waitlist', {
method: 'POST',
headers: {
'content-type': 'application/json'
},
body: JSON.stringify({
email: 'you@example.com'
})
});
if (!response.ok) {
throw new Error(`join the waitlist for the next number-pool release failed: ${response.status}`);
}
const data = (await response.json()) as WaitlistResponse;
requests.post("https://agentnumber.really.com/waitlist",
headers={
"content-type": "application/json"
},
json={
"email": "you@example.com"
}
)package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
requestUrl := "https://agentnumber.really.com/waitlist"
payload := strings.NewReader(`{
"email": "you@example.com"
}`)
req, _ := http.NewRequest("POST", requestUrl, payload)
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}fetch('https://agentnumber.really.com/waitlist', {
method: 'POST',
headers: {
'content-type': 'application/json'
},
body: JSON.stringify({
email: 'you@example.com'
})
})import { request } from 'undici'
const { statusCode, body } = await request('https://agentnumber.really.com/waitlist', {
method: 'POST',
headers: {
'content-type': 'application/json'
},
body: JSON.stringify({
email: 'you@example.com'
})
})require 'uri'
require 'net/http'
url = URI("https://agentnumber.really.com/waitlist")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["content-type"] = 'application/json'
request.body = <<~JSON
{
"email": "you@example.com"
}
JSON
response = http.request(request)
puts response.read_bodyimport Foundation
var request = URLRequest(url: URL(string: "https://agentnumber.really.com/waitlist")!)
request.httpMethod = "POST"
request.setValue("application/json", forHTTPHeaderField: "content-type")
let jsonBody = #"""
{
"email": "you@example.com"
}
"""#
request.httpBody = jsonBody.data(using: .utf8)
let (data, response) = try await URLSession.shared.data(for: request)
guard let httpResponse = response as? HTTPURLResponse,
200..<300 ~= httpResponse.statusCode else {
throw URLError(.badServerResponse)
}
print(String(data: data, encoding: .utf8) ?? "")val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"email\": \"you@example.com\"\n}")
val request = Request.Builder()
.url("https://agentnumber.really.com/waitlist")
.post(body)
.addHeader("content-type", "application/json")
.build()
val response = client.newCall(request).execute()POST /waitlist HTTP/1.1
Host: agentnumber.really.com
content-type: application/json
Content-Type: application/json
{
"email": "you@example.com"
}HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://agentnumber.really.com/waitlist"))
.header("content-type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString("{\n \"email\": \"you@example.com\"\n}"))
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());#import <Foundation/Foundation.h>
NSDictionary *headers = @{ @"content-type": @"application/json" };
NSDictionary *parameters = @{ @"email": @"you@example.com" };
NSData *postData = [NSJSONSerialization dataWithJSONObject:parameters options:0 error:nil];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:@"https://agentnumber.really.com/waitlist"]
cachePolicy:NSURLRequestUseProtocolCachePolicy
timeoutInterval:10.0];
[request setHTTPMethod:@"POST"];
[request setAllHTTPHeaderFields:headers];
[request setHTTPBody:postData];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *dataTask = [session dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"%@", error);
} else {
NSHTTPURLResponse *httpResponse = (NSHTTPURLResponse *) response;
NSLog(@"%@", httpResponse);
}
}];
[dataTask resume];using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://agentnumber.really.com/waitlist");
request.Content = new StringContent(
"""
{
"email": "you@example.com"
}
""",
System.Text.Encoding.UTF8, "application/json");
using var response = await client.SendAsync(request);#include <curl/curl.h>
int main(void) {
curl_global_init(CURL_GLOBAL_DEFAULT);
CURL *curl = curl_easy_init();
if (!curl) {
curl_global_cleanup();
return 1;
}
curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(curl, CURLOPT_URL, "https://agentnumber.really.com/waitlist");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "content-type: application/json");
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, "{\n \"email\": \"you@example.com\"\n}");
CURLcode res = curl_easy_perform(curl);
curl_easy_cleanup(curl);
curl_slist_free_all(headers);
curl_global_cleanup();
return (int)res;
}import 'package:http/http.dart' as http;
void main() async {
final headers = <String,String>{
'content-type': 'application/json',
};
final body = r'{
"email": "you@example.com"
}';
final response = await http.post(Uri.parse('https://agentnumber.really.com/waitlist'), headers: headers, body: body);
print(response.body);
}let client = reqwest::Client::new();
let request = client
.post("https://agentnumber.really.com/waitlist")
.header("content-type", "application/json")
.json(&serde_json::json!({
"email": "you@example.com"
}));
let response = request.send().await?;$ch = curl_init("https://agentnumber.really.com/waitlist");
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, ['content-type: application/json']);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'email' => 'you@example.com'
]));
curl_exec($ch);
curl_close($ch);Request body
| Field | Type | Description |
|---|---|---|
email required |
string |
Contact email for waitlist notifications. Example: you@example.com |
Example body
{
"email": "you@example.com"
}
Responses
200 Email registered (or already on the waitlist — idempotent).
{
"status": "added",
"registered_at": "2026-04-30T18:24:01.000Z"
}
400 Email missing or malformed.
{
"error": "invalid_email"
}